/*=============================================>>>>>
= Global =
===============================================>>>>>*/
#assistant-container *
{
  box-sizing: content-box;
  transition: all 0.3s cubic-bezier(0.25, 0.5, 0.5, 0.9);
}
#assistant-container
{
  position: fixed;
  visibility: hidden;
  font-family: EmbeddedDejaVuSans, sans-serif;
  overflow-x: hidden;
  z-index: 49;
  width: 50%;
  top: 5%;
  max-height: 87%;
  height: 100vh;
  right: 0px;
  transform: translate3d(0,0,0);
  -webkit-transform: translate3d(0,0,0);
  overflow-y: hidden;
}
/* See BANK-X 47230 and 46769 */

/*----------- IE Only -----------*/
@media screen and (-ms-high-contrast: active), (-ms-high-contrast: none), (min-width:0\0) {
  #assistant-container{
    transform:none;
  }
}
/*= End of Global =*/
/*=============================================<<<<<*/

/*=============================================>>>>>
= Fix for BANKX-51089 =
===============================================>>>>>*/
legend {
  display: flex;
  flex-wrap: wrap;
  max-width: 100%;
}

/*= End of Fix for BANKX-51089 =*/
/*=============================================<<<<<*/

/*=============================================>>>>>
= Assistant Icon =
===============================================>>>>>*/
#icon
{
  padding-right: 2px;
  margin-right: 4px;
}
.message
{
  position: fixed;
  margin-top: 20px;
  right: 20px;
  width: 100%;
  min-width: 210px;
  max-width: 500px;
}
#pastille-assistant.show, .assistant.show
{
  transform:translateX(0);
  opacity: 1;
  visibility: visible;
}
#pastille-assistant
{
  transform:translateX(20%);
  opacity: 0;
  visibility: hidden;
}
#pastille-assistant span
{
  background: white;
  border-radius: 50%;
  width: 30px;
  height: 30px;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 40px;
  margin: 15px 20px;
  float: right;
  cursor: pointer;
}
.assistant
{
  box-sizing: border-box;
  padding: 15px 20px 15px 20px;
  min-width: 170px;
  max-width: 350px;
  border-radius: 6px;
  background-color: white;
  color: #868687;
  font-size: 12px;
  box-shadow: 2px 2px 8px 3px rgba(160, 160, 160, 0.15);
  -moz-box-shadow: 2px 2px 8px 3px rgba(160, 160, 160, 0.15);
  -webkit-box-shadow: 2px 2px 8px 3px rgba(160, 160, 160, 0.15);
  margin-bottom: 20px;
  display: inline-block;
  float: right;
  vertical-align: top;
  line-height: 20px;
  transform:translateX(20%);
  opacity: 0;
  visibility: hidden;
  word-break: break-word;
}
#assistant-container table td
{
  padding: 0;
}

.td-texte-message {
  max-height: 70vh;
  overflow: hidden;
}
td.td-texte-message > span.texte {
  display: inline-block !important;
  max-height: 70vh;
  width: 100%;
  overflow-x:hidden;
  overflow-y:scroll;
  padding-right: 17px;
  vertical-align: top;
  padding-top: 5px;
  margin-top: -5px;
}

/*= End of Assistant Icon =*/
/*=============================================<<<<<*/
/*=============================================>>>>>
= IE =
===============================================>>>>>*/
@media screen and (-ms-high-contrast: active), (-ms-high-contrast: none), (min-width:0\0) {
  .icon-pastille-assistant::before
  {
    position: relative;
    left: -5px;
  }
}
/*= End of IE =*/
/*=============================================<<<<<*/
